curl --request POST \
--url https://api.momentum.io/v1/meeting/remap \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"source": {
"id": "<string>"
},
"salesforceRecords": {
"opportunityId": "<string>",
"accountId": "<string>",
"leadId": "<string>"
},
"meetingDetails": {
"momentumMeetingId": 123,
"title": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"hostEmail": "jsmith@example.com"
}
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {id: '<string>'},
salesforceRecords: {opportunityId: '<string>', accountId: '<string>', leadId: '<string>'},
meetingDetails: {
momentumMeetingId: 123,
title: '<string>',
startTime: '2023-11-07T05:31:56Z',
hostEmail: 'jsmith@example.com'
}
})
};
fetch('https://api.momentum.io/v1/meeting/remap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.momentum.io/v1/meeting/remap"
payload = {
"source": { "id": "<string>" },
"salesforceRecords": {
"opportunityId": "<string>",
"accountId": "<string>",
"leadId": "<string>"
},
"meetingDetails": {
"momentumMeetingId": 123,
"title": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"hostEmail": "jsmith@example.com"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.momentum.io/v1/meeting/remap"
payload := strings.NewReader("{\n \"source\": {\n \"id\": \"<string>\"\n },\n \"salesforceRecords\": {\n \"opportunityId\": \"<string>\",\n \"accountId\": \"<string>\",\n \"leadId\": \"<string>\"\n },\n \"meetingDetails\": {\n \"momentumMeetingId\": 123,\n \"title\": \"<string>\",\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"hostEmail\": \"jsmith@example.com\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accepted": true,
"requestId": "<string>"
}{
"error": "<string>",
"requestId": "<string>"
}{
"error": "Internal server error",
"requestId": "<string>"
}Remap a meeting with new salesforce objects
Associates a meeting with new salesforce objects and optionally triggers call summary and generates AI signals.
curl --request POST \
--url https://api.momentum.io/v1/meeting/remap \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"source": {
"id": "<string>"
},
"salesforceRecords": {
"opportunityId": "<string>",
"accountId": "<string>",
"leadId": "<string>"
},
"meetingDetails": {
"momentumMeetingId": 123,
"title": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"hostEmail": "jsmith@example.com"
}
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {id: '<string>'},
salesforceRecords: {opportunityId: '<string>', accountId: '<string>', leadId: '<string>'},
meetingDetails: {
momentumMeetingId: 123,
title: '<string>',
startTime: '2023-11-07T05:31:56Z',
hostEmail: 'jsmith@example.com'
}
})
};
fetch('https://api.momentum.io/v1/meeting/remap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.momentum.io/v1/meeting/remap"
payload = {
"source": { "id": "<string>" },
"salesforceRecords": {
"opportunityId": "<string>",
"accountId": "<string>",
"leadId": "<string>"
},
"meetingDetails": {
"momentumMeetingId": 123,
"title": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"hostEmail": "jsmith@example.com"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.momentum.io/v1/meeting/remap"
payload := strings.NewReader("{\n \"source\": {\n \"id\": \"<string>\"\n },\n \"salesforceRecords\": {\n \"opportunityId\": \"<string>\",\n \"accountId\": \"<string>\",\n \"leadId\": \"<string>\"\n },\n \"meetingDetails\": {\n \"momentumMeetingId\": 123,\n \"title\": \"<string>\",\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"hostEmail\": \"jsmith@example.com\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accepted": true,
"requestId": "<string>"
}{
"error": "<string>",
"requestId": "<string>"
}{
"error": "Internal server error",
"requestId": "<string>"
}Authorizations
API key for authenticating requests
Query Parameters
Whether to trigger call summary after remapping
Whether to trigger AI signals after remapping
Body
- Option 1
- Option 2
Request body for remapping a meeting. Either source or meetingDetails must be provided: Use source when remapping a meeting based on an external system (e.g., Google Calendar, Zoom, Gong, etc.), providing the source identifier and type. Use meetingDetails when remapping a meeting using explicit meeting information (such as title, start time and host) instead of referencing an external source. Choose the option that best matches the available data for the meeting you wish to remap.
Source information for the meeting
Show child attributes
Show child attributes
Associated Salesforce record IDs. At least one record ID must be provided.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Details about the meeting. If momentumMeetingId is provided, other fields are not needed.
- Option 1
- Option 2
Show child attributes
Show child attributes

